This section informs you about all the requirements needed to use this solution.

# Instance Requirements
This solution is only compatible on instances with  **Dataiku DSS V12.5+**

## Code Environment
Project python recipes uses the code env **solution_distribution-spatial-footprint** with **Python 3.9**


Required packages for this code env are: 
> openrouteservice==2.3.3
folium==0.12.1
geopy==2.1.0
geopandas==0.8.2
Shapely==1.7.1
Flask==1.1.2
flexpolyline==0.1.0
scikit-learn==0.24.2

## Mandatory plugins

If your input dataset contains addresses, instead of geocoded locations, you will need to install [dataiku's geocoder plugin](https://www.dataiku.com/product/plugins/geocoder/) on your DSS instance.

Additionally you will need to install [dataiku's reverse geocoding plugin](https://www.dataiku.com/product/plugins/geoadmin/) on your DSS instance.

### Installing a DSS plugin
[Learn how to install a DSS plugin](https://doc.dataiku.com/dss/latest/plugins/installing.html).
